import { TimeView } from '@mui/x-date-pickers';
import { TimeFormat } from '../../constants/date-time-constants';
import './adminDateTimePicker-styles.scss';
export interface IAdminTimePickerProps {
    /** onChange: is a required prop which handles the change in time picker */
    onChange?: (timeValue: string) => void;
    /** label: is an optional prop which dictates the label value */
    label?: string;
    /** placeholder: is an optional prop which dictates the placeholder value*/
    placeholder?: string;
    /** timeFormat: is a required prop which dictates the timeFormat value */
    timeFormat?: TimeFormat;
    /** timeViews: is an optional prop which selects what all to be shown in timer for selection */
    timeViews?: TimeView[];
    /** value: is an optional prop which shows optional text */
    value?: string | null;
    /** error: is an optional prop which shows error */
    error?: boolean;
    helperText?: string;
}
declare const AdminTimePicker: (props: IAdminTimePickerProps) => import("react/jsx-runtime").JSX.Element;
export default AdminTimePicker;
