import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { CircularProgress } from '@mui/material';
import palette from '../../theme/colors';
import './adminSpinner-styles.scss';
const AdminSpinner = (props) => {
    const { image = null, color = palette.primary, spinnerSize = 40 } = props;
    return (_jsxs("div", { className: "adminSpinner__container", children: [image && _jsx("div", { className: "adminSpinner__imageContainer", children: image }), _jsx(CircularProgress, { size: spinnerSize, thickness: 3, className: "adminSpinner__circularProgress", style: {
                    color: color,
                } })] }));
};
export default AdminSpinner;
