import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import Lottie from 'lottie-react';
import { Typography } from '@mui/material';
import NoResultFoundImage from '../../assets/lottie/no-result.json';
import { translate } from '../../locales/translations';
const NoResultFound = () => {
    return (_jsxs("div", { className: "adminTable__noResultContainer", children: [_jsx(Lottie, { animationData: NoResultFoundImage, loop: true, className: "adminTable__noResultImage" }), _jsx(Typography, { className: "adminTable__noResultText", children: translate.common.noRecordFound })] }));
};
export default NoResultFound;
