import { jsx as _jsx } from "react/jsx-runtime";
import ReactQuill from 'react-quill';
import 'react-quill/dist/quill.snow.css';
import { FORMATS, MODULES } from '../../constants/text-editor-constants';
import './adminTextEditor-styles.scss';
const AdminTextEditor = (props) => {
    const { value, handleEditorChange, placeholder = 'Start Editing' } = props;
    return (_jsx(ReactQuill, { className: "adminTextEditor__container", value: value, onChange: handleEditorChange, modules: MODULES, formats: FORMATS, placeholder: placeholder }));
};
export default AdminTextEditor;
