export const ALPHABET_REGEX = /^[a-zA-Z ]*$/;
export const CONTACT_NUMBER_REGEX = /^\d{7,15}$/;
export const EMAIL_REGEX = /^[a-zA-Z0-9._+-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,4}$/;
export const URL_REGEX = /^(https?:\/\/)?(www\.)?([a-zA-Z\d]([a-zA-Z\d-]*[a-zA-Z\d])*\.[a-zA-Z]{2,})(\:\d+)?(\/[-a-zA-Z\d%_.~+]*)*(\?[;&a-zA-Z\d%_.~+=-]*)?(\#[-a-zA-Z\d_]*)?$/;
export const NO_SPACE_REGEX = /^\s/;
export const ONLY_NUMBER_REGEX = /^\d*$/;
export const PASSWORD_REGEX = /^(?=.*[0-9])(?=.*[a-z])(?=.*[A-Z])(?=.*[^a-zA-Z0-9\s_]).{8,16}$/;
export const REMOVE_SPACE_REGEX = /\s+/g;
export const NUMERIC_REGEX = /^[0-9]*$/;
export const PARSE_DECIMAL_REGEX = /^\d+\.$/;
